%define name gaim
%define version 0.51
%define release 1mdk
%define prefix /usr

%define perl_version %(rpm -q --qf '%%{VERSION}' perl)

Summary: A client compatible with AOL's 'Instant Messenger'

Name: %{name}
Version: %{version}
Release: %{release}
Group: Networking/Instant messaging
BuildRequires: esound-devel gtk+-devel perl-devel
Requires: common-licenses, perl-base = %{perl_version}
License: GPL
Epoch: 1
Url: http://gaim.sourceforge.net
Source: http://download.sourceforge.net/gaim/%{name}-%{version}.tar.bz2
Source1: %{name}_icons.tar.bz2
Patch0: gaim-0.50-smiley.patch.bz2
Patch1: gaim-0.50-autoadd.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Gaim allows you to talk to anyone using AOL's Instant Messenger service (you
can sign up at http://www.aim.aol.com).

It uses the TOC version of the AOL protocol, so your buddy list is stored on
AOL's servers and can be retrieved from anywhere.

It contains many of the same features as AOL's IM client while at the same time
incorporating many new features.

%prep

%setup -q -n %name-%version
%patch0 -p1 -b .smiley
%patch1 -p1 -b .autoadd
bzcat %{SOURCE1} | tar xvf -

%build
%configure --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bitsdata=$RPM_BUILD_ROOT/%{_datadir} bitssysconf=$RPM_BUILD_ROOT/%{_sysconfdir}

#icons
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm

install -m755 licq2gaim.pl $RPM_BUILD_ROOT/%{_bindir}/licq2gaim

# Menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/gaim <<EOF
?package(gaim): command="/usr/bin/gaim" needs="X11" \
icon="gaim.xpm" section="Networking/Instant messaging" \
title="Gaim" longtitle="AOL Instant Messenger clone"
EOF

%{find_lang} %{name}
%post
%{update_menus} 

%postun
%{clean_menus}  

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/*.txt doc/[A-Z][A-Z]*
%doc NEWS ABOUT-NLS AUTHORS README* TODO ChangeLog
%doc HACKING INSTALL
%attr(755,root,root) %{_bindir}/*
%{_libdir}/menu/*
%dir %{_libdir}/gaim/
%{_libdir}/gaim/*.so*
%{_mandir}/*/*
%{_datadir}/gnome/apps/*/*
%{_datadir}/pixmaps/*
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Fri Feb  1 2002 Adrien Demarez <ademarez@mandrakesoft.com> 0.51-1mdk
- Updated gaim

* Mon Jan  7 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.50-3mdk
- Add autoadd module.

* Tue Dec 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50-2mdk
- Oops. Really apply the smiley patch.

* Tue Dec 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50-1mdk
- Upped to 0.50.
- Add chmou patch with modifications for smileys.

* Tue Dec  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.49-2mdk
- Add licq2gaim script also.

* Fri Nov 30 2001 Sylvestre Taburet <staburet@mandrakesoft.com> 0.49-1mdk
- upped to 0.49

* Wed Nov 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.48-2mdk
- Make Chmou happy by replacing an ugly define with a cleaner one (thx chmou).

* Sat Nov 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.48-1mdk
- 0.48 hot from the oven.

* Sun Nov 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.47-1mdk
- The new and shiny 0.47.

* Sat Oct 20 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.46-1mdk
- Presenting the all-new 0.46.
- Use Epoch to please Lord Rpmlint.

* Mon Oct 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.44-2mdk
- BuildRequires: perl-devel
- Remove redundant BuildRequires

* Fri Sep 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.44-1mdk
- Presenting the newest gaim 0.44.
- Fix file list: There is no such file called PROTOCOL.

* Tue Sep 11 2001 Vincent Saugey <vince@mandrakesoft.com> 0.43-1mdk
- New version

* Sat Aug  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11.0-0.pre14.1mdk
- pre14.

* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 0.11.0-0.pre11.2mdk
- add require the perl-base used for building (the libperl.so
  auto-require is not enough)

* Fri May 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.11.0-0.pre11.1mdk
- New and shiny source.
- Fix the release number. This would mean that we would have to add a 
  Serial: for the time being :(, but at least this is more sane than before.
- Gaim homepage has now moved over to SourceForge.

* Thu Apr 12 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre7-2mdk
- Adding BuildRequires gettext, gtkdevel (Thanks to Don Head)

* Fri Mar 23 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre7-1mdk
- Up to new version

* Fri Mar 23 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-4mdk
- Change group for make fred (crozat) happy.

* Tue Feb 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.11.0pre4-3mdk
- Fix build on glibc.
- Do not build useless static libs.
- Use macros for make and configure.
- Run autoconf/make tools in prep stage
- Remove COPYING from docs, require common-licenses

* Tue Feb 13 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-2mdk
- Corrected menu section

* Mon Feb 12 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-1mdk
- Up to new version

* Tue Oct 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.3-1mdk
- up to 0.10.3

* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.20-5mdk
- menu title should begin with capital letter.
- ICQ section was replaced by Instant messaging.
 
* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-4mdk
- Adding small and large icons

* Tue Aug 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-3mdk
- Change icon for menu

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.20-2mdk
- automatically added BuildRequires

* Mon Jul 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-1mdk
- up to 0.9.20

* Fri Jun 23 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.19-1mdk
- 0.9.19

* Thu Jun  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.18-1mdk
- 0.9.18
- minor fixes in specfile

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.11-3mdk
- add 32*32 icon

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.11-2mdk
- Don't +x the menu entries.

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.9.11-1mdk
- v0.9.11
- Added menu
- fixed group
- spec-helper

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
Build Release

* Tue Nov 02 1999 Lenny Cartier <lenny@mandrakesoft.com>
v0.9.9

* Wed Oct 13 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations.
